Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protegex.owl.swrl.model.factory
Enum SWRLFrameTypeId

    java.lang.Object
      java.lang.Enum<SWRLFrameTypeId>
          edu.stanford.smi.protegex.owl.swrl.model.factory.SWRLFrameTypeId

All Implemented Interfaces:
  Serializable, Comparable<SWRLFrameTypeId>

    public enum SWRLFrameTypeId

extends Enum<SWRLFrameTypeId>

Enum Constant Summary
`SWRL_ATOM_LIST`
`SWRL_BUILTIN`
`SWRL_BUILTIN_ATOM`
`SWRL_CLASS_ATOM`
`SWRL_DATARANGE_ATOM`
`SWRL_DATAVALUED_PROPERTY_ATOM`
`SWRL_DIFFERENT_INDIVIDUALS_ATOM`
`SWRL_IMP`
`SWRL_INDIVIDUAL_PROPERTY_ATOM`
`SWRL_SAME_INDIVIDUAL_ATOM`
`SWRL_VARIABLE`

Field Summary
`static int` | `SWRL_FRAME_TYPE_ID_BASE`
`static int` | `SWRL_FRAME_TYPE_ID_END`

Method Summary
`int` | `getFrameTypeId()`
`Class<? extends edu.stanford.smi.protege.model.SimpleInstance>` | `getJavaClass()`
`String` | `getProtegeName()`
`static SWRLFrameTypeId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SWRLFrameTypeId[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SWRL_ATOM_LIST

    public static final SWRLFrameTypeId SWRL_ATOM_LIST

### SWRL_BUILTIN_ATOM

    public static final SWRLFrameTypeId SWRL_BUILTIN_ATOM

### SWRL_CLASS_ATOM

    public static final SWRLFrameTypeId SWRL_CLASS_ATOM

### SWRL_DATARANGE_ATOM

    public static final SWRLFrameTypeId SWRL_DATARANGE_ATOM

### SWRL_DATAVALUED_PROPERTY_ATOM

    public static final SWRLFrameTypeId SWRL_DATAVALUED_PROPERTY_ATOM

### SWRL_INDIVIDUAL_PROPERTY_ATOM

    public static final SWRLFrameTypeId SWRL_INDIVIDUAL_PROPERTY_ATOM

### SWRL_DIFFERENT_INDIVIDUALS_ATOM

    public static final SWRLFrameTypeId SWRL_DIFFERENT_INDIVIDUALS_ATOM

### SWRL_SAME_INDIVIDUAL_ATOM

    public static final SWRLFrameTypeId SWRL_SAME_INDIVIDUAL_ATOM

### SWRL_BUILTIN

    public static final SWRLFrameTypeId SWRL_BUILTIN

### SWRL_IMP

    public static final SWRLFrameTypeId SWRL_IMP

### SWRL_VARIABLE

    public static final SWRLFrameTypeId SWRL_VARIABLE

Field Detail

### SWRL_FRAME_TYPE_ID_BASE

    public static final int SWRL_FRAME_TYPE_ID_BASE

See Also:
  Constant Field Values

### SWRL_FRAME_TYPE_ID_END

    public static final int SWRL_FRAME_TYPE_ID_END

Method Detail

### values

    public static final SWRLFrameTypeId[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SWRLFrameTypeId c : SWRLFrameTypeId.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SWRLFrameTypeId valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getFrameTypeId

    public int getFrameTypeId()

### getProtegeName

    public String getProtegeName()

### getJavaClass

    public Class<? extends edu.stanford.smi.protege.model.SimpleInstance> getJavaClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.